Batch upload Records with attachments

Deprecated
Deprecated. Create Records with attachments in one request. By default, create-only items with the same normalized title and exact eventDate as an existing accessible Record in the same Mini, or an earlier create-only item in the same request, are skipped and returned in Duplicates. Set allowDuplicates to true to skip duplicate detection. Use POST /Records/batch followed by POST /Records/batch/attachments instead.

Authentication

AuthorizationBearer

Authenticate every request with Authorization: Bearer <api-key>. Manage keys in Workspace Admin > Security & access.

Query parameters

allowDuplicatesbooleanOptionalDefaults to false

Request

This endpoint expects a multipart form with multiple files.
filesfilesRequired
itemsstringRequired

Response

Accepted
successfulIdsmap from strings to stringsOptional
failedlist of objectsOptional
duplicateslist of objectsOptional
successCountanyOptional
failureCountanyOptional

Errors

400
Bad Request Error
422
Unprocessable Entity Error